# generated by meson file in source code of at-spi2-atk
%global meson_version 0.40.1
%global libdbus_req_version 1.5
%global glib_req_version 2.32.0
%global atk_req_version 2.36.0
%global atspi_req_version 2.33.2
%global libxml_req_version 2.9.1

Summary:        A GTK+ module that bridges ATK to D-Bus at-spi
Name:           at-spi2-atk
Version:        2.38.0
Release:        3%{?dist}
License:        LGPLv2+
URL:            https://gitlab.gnome.org/GNOME/at-spi2-atk
Source0:        https://download.gnome.org/sources/at-spi2-atk/2.38/%{name}-%{version}.tar.xz

BuildRequires:  atk-devel >= %{atk_req_version}, dbus-glib-devel, at-spi2-core-devel >= %{atspi_req_version}, dbus-devel >= %{libdbus_req_version}, glib2-devel >= %{glib_req_version}, libxml2-devel >= %{libxml_req_version}
BuildRequires:  gcc, meson >= %{meson_version}, gettext
Requires:       atk >= %{atk_req_version}
Requires:       at-spi2-core >= %{atspi_req_version}

%description
Applications that provide accessibility through the ATK interfaces need a way 
to translate those interfaces to AT-SPI2 DBus calls.  This module, at-spi2-atk,
provides that translation bridge.  

Several things use at-spi2-atk:

 * GTK3 calls ATK directly and assumes that at-spi2-atk is backing it.
 * GTK2 loads a module at runtime to do the same (atk-adaptor/gtk-2.0 in this module).
 * Chromium.
 * Gnome-shell.
 * Any applications that use ATK directly, like Mozilla Firefox, will need at-spi2-atk 
   backing them.

%package devel
Summary:        Development files of at-spi2-atk
Requires:       %{name} = %{version}-%{release}

%description devel
This package includes the development files for at-spi2-atk shared library.



%prep
%autosetup



%build
%meson
%meson_build



%install
%meson_install



%files
%license COPYING
%doc AUTHORS README
%dir %{_libdir}/gtk-2.0
%dir %{_libdir}/gtk-2.0/modules
%{_libdir}/gtk-2.0/modules/libatk-bridge.so
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/at-spi2-atk.desktop
%{_libdir}/libatk-bridge-2.0.so.*

%files devel
%{_includedir}/at-spi2-atk/2.0/atk-bridge.h
%{_libdir}/libatk-bridge-2.0.so
%{_libdir}/pkgconfig/atk-bridge-2.0.pc



%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.38.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.38.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Sep 13 2022 Zhao Zhen <jeremiazhao@tencent.com> - 2.38.0-1
- Initial building
